Bug 113257 - Failed to find mpm_common.h while compiling mod_fastcgi for httpd-2.0.46-25
Failed to find mpm_common.h while compiling mod_fastcgi for httpd-2.0.46-25
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
: 113502 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-11 05:57 EST by Shekhar
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.0.46-26.ent
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-14 15:33:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shekhar 2004-01-11 05:57:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
As a result of following lines in httpd.spec mod_fastcgi fails to find
mpm_common.h while compiling for httpd-2.0.47-8 .
--
# Remove headers which needn't be public
rm -f
RPM_BUILD_ROOT%{_includedir}/httpd/{mpm*.h,ssl_expr_parse.h,ssl_util_table.h}
--

Version-Release number of selected component (if applicable):
httpd-2.0.47-8

How reproducible:
Always

Steps to Reproduce:
1.. wget http://www.FastCGI.com/dist/mod_fastcgi-2.4.0.tar.gz
2. tar -zxvf mod_fastcgi-2.4.0.tar.gz
3. /usr/sbin/apxs -D SUEXEC_BIN="/usr/sbin/suexec" -c mod_fastcgi.c f*.c

Actual Results:  :
/bin/sh /usr/lib/apr/build/libtool --silent --mode=compile gcc
-prefer-pic -O2
-g -pipe -march=i386 -mcpu=i686 -I/usr/kerberos/include
-DAP_HAVE_DESIGNATED_INITIALIZER -DLINUX=2 -D_REENTRANT
-D_XOPEN_SOURCE=500
-D_BSD_SOURCE -D_SVID_SOURCE -D_GNU_SOURCE -pthread -I/usr/include/apr-0
-I/usr/include/httpd -DSUEXEC_BIN="\"/usr/sbin/suexec\""  -c -o
fcgi_config.lo
fcgi_config.c && touch fcgi_config.slo
fcgi_config.c:11:59: mpm_common.h: No such file or directory
apxs:Error: Command failed with rc=65536
:
:

Expected Results:  Should compile.

Additional info:

Same bug is accepted by Fedora
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=108080
Comment 1 Joe Orton 2004-01-12 04:51:26 EST
Thanks for the report; the fix for this issue will be included in a
forthcoming httpd erratum for RHEL3.
Comment 2 Joe Orton 2004-01-14 15:29:38 EST
*** Bug 113502 has been marked as a duplicate of this bug. ***
Comment 3 Joe Orton 2004-01-14 15:33:40 EST
This issue is fixed by the httpd-2.0.46-26.ent packages in the
RHSA-2004:015 errata released today, please see:

http://rhn.redhat.com/errata/RHSA-2004-015.html

Note You need to log in before you can comment on or make changes to this bug.